# Uses of Interface
java.util.function.DoubleToIntFunction

Packages that use DoubleToIntFunction
Package
Description
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of DoubleToIntFunction in java.util.stream

Methods in java.util.stream with parameters of type DoubleToIntFunction
Modifier and Type
Method
Description
`IntStream`
DoubleStream.`mapToInt(DoubleToIntFunction mapper)`
Returns an `IntStream` consisting of the results of applying the given function to the elements of this stream.